Skip to main content
GET
GET /v1/tables/{id}/sampleData

Table Sample Data

Manage sample data rows for a table. Sample data provides a preview of the table’s contents and is useful for data discovery and documentation.

Get Sample Data

GET /v1/tables/{id}/sampleData
string
required
UUID of the table.

Add Sample Data

PUT /v1/tables/{id}/sampleData
string
required
UUID of the table.
array
required
Array of column names, in the same order as the values in each row.
array
required
Array of row arrays. Each row is an array of values matching the column order.

Delete Sample Data

DELETE /v1/tables/{id}/sampleData
string
required
UUID of the table.
GET /v1/tables/{id}/sampleData

Returns

Get returns the table. The sample data is in its sampleData field, with columns and rows arrays. Add returns the updated table. Delete returns the updated table, without sample data.

Response

array
Array of column names for the sample data. This field is inside sampleData.
array
Array of row arrays. Each row contains values in the same order as the columns.

Error Handling